Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.context
Class AjaxContextImpl

    java.lang.Object
      org.ajax4jsf.context.AjaxContext
          org.ajax4jsf.context.AjaxContextImpl

    public class AjaxContextImpl

extends org.ajax4jsf.context.AjaxContext

This class incapsulated

Version:
  $Revision: 1.1.2.7 $ $Date: 2007/02/08 19:07:16 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `SERVLET_ERROR_EXCEPTION_ATTRIBUTE`

Fields inherited from class org.ajax4jsf.context.AjaxContext
`AJAX_CONTEXT_KEY, RESPONSE_DATA_KEY`

Constructor Summary
`AjaxContextImpl()`

Method Summary
`void` | `addAreasToProcessFromComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Add IDs of regions to process
`void` | `addComponentToAjaxRender(javax.faces.component.UIComponent component)`
`void` | `addComponentToAjaxRender(javax.faces.component.UIComponent base, java.lang.String id)`
`void` | `addRegionsFromComponent(javax.faces.component.UIComponent component)` Add affected regions's ID to ajaxView component.
`void` | `addRenderedArea(java.lang.String id)`
`void` | `appendOncomplete(java.lang.Object onComplete)`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `encodeAjaxBegin(javax.faces.context.FacesContext context)` Encode declaration for AJAX response.
`void` | `encodeAjaxEnd(javax.faces.context.FacesContext context)` End encoding of AJAX response.
`java.lang.String` | `getAjaxActionURL(javax.faces.context.FacesContext context)`
`java.util.Set<java.lang.String>` | `getAjaxAreasToProcess()`
`java.util.Set<java.lang.String>` | `getAjaxAreasToRender()`
`java.util.Set<java.lang.String>` | `getAjaxRenderedAreas()`
`java.lang.String` | `getAjaxSingleClientId()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getCommonAjaxParameters()`
`java.lang.Object` | `getOnbeforedomupdate()`
`java.lang.Object` | `getOncomplete()`
`protected javax.faces.render.RenderKit` | `getRenderKit(javax.faces.context.FacesContext context)`
`java.lang.Object` | `getResponseData()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getResponseDataMap()`
`java.lang.String` | `getSubmittedRegionClientId()`
`org.ajax4jsf.context.ViewIdHolder` | `getViewIdHolder()`
`protected java.io.PrintWriter` | `getWriter(javax.faces.context.ExternalContext extContext)` Gives back the writer of a Response object.
`boolean` | `isAjaxRequest()`
`boolean` | `isSelfRender()`
`void` | `release()`
`boolean` | `removeRenderedArea(java.lang.String id)`
`void` | `renderAjax(javax.faces.context.FacesContext context)`
`void` | `saveViewState(javax.faces.context.FacesContext context)`
`void` | `setAjaxAreasToProcess(java.util.Set<java.lang.String> ajaxAreasToProcess)`
`void` | `setAjaxRequest(boolean ajaxRequest)`
`void` | `setAjaxSingleClientId(java.lang.String ajaxSingleClientId)`
`void` | `setOnbeforedomupdate(java.lang.Object onbeforedomupdateFunction)`
`void` | `setOncomplete(java.lang.Object oncomplete)`
`void` | `setResponseData(java.lang.Object responseData)`
`void` | `setSelfRender(boolean selfRender)`
`void` | `setSubmittedRegionClientId(java.lang.String submittedClientId)`
`void` | `setViewIdHolder(org.ajax4jsf.context.ViewIdHolder viewIdHolder)`

Methods inherited from class org.ajax4jsf.context.AjaxContext
`getCurrentInstance, getCurrentInstance, isAjaxRequest, isLimitToList, setLimitToList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVLET_ERROR_EXCEPTION_ATTRIBUTE

    public static final java.lang.String SERVLET_ERROR_EXCEPTION_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### AjaxContextImpl

    public AjaxContextImpl()

Method Detail

### release

    public void release()

  Specified by:
    `release` in class `org.ajax4jsf.context.AjaxContext`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Specified by:
    `decode` in class `org.ajax4jsf.context.AjaxContext`

### renderAjax

    public void renderAjax(javax.faces.context.FacesContext context)
                    throws javax.faces.FacesException

  Specified by:
    `renderAjax` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `context` -
  Throws:
    `javax.faces.event.AbortProcessingException`
    `javax.faces.FacesException`

### encodeAjaxBegin

    public void encodeAjaxBegin(javax.faces.context.FacesContext context)
                         throws java.io.IOException

  Encode declaration for AJAX response. Render <html><body>

  Specified by:
    `encodeAjaxBegin` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`

### encodeAjaxEnd

    public void encodeAjaxEnd(javax.faces.context.FacesContext context)
                       throws java.io.IOException

  End encoding of AJAX response. Render tag with included areas and close </body></html>

  Specified by:
    `encodeAjaxEnd` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `context` -
  Throws:
    `java.io.IOException`

### saveViewState

    public void saveViewState(javax.faces.context.FacesContext context)
                       throws java.io.IOException

  Specified by:
    `saveViewState` in class `org.ajax4jsf.context.AjaxContext`
  Throws:
    `java.io.IOException`

### getRenderKit

    protected javax.faces.render.RenderKit getRenderKit(javax.faces.context.FacesContext context)

### isAjaxRequest

    public boolean isAjaxRequest()

  Specified by:
    `isAjaxRequest` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    Returns the ajaxRequest.

### setAjaxRequest

    public void setAjaxRequest(boolean ajaxRequest)

  Specified by:
    `setAjaxRequest` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `ajaxRequest` - The ajaxRequest to set.

### getAjaxAreasToRender

    public java.util.Set<java.lang.String> getAjaxAreasToRender()

  Specified by:
    `getAjaxAreasToRender` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    Returns the ajaxAreasToRender.

### getAjaxAreasToProcess

    public java.util.Set<java.lang.String> getAjaxAreasToProcess()

  Specified by:
    `getAjaxAreasToProcess` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the ajaxAreasToProcess

### setAjaxAreasToProcess

    public void setAjaxAreasToProcess(java.util.Set<java.lang.String> ajaxAreasToProcess)

  Specified by:
    `setAjaxAreasToProcess` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `ajaxAreasToProcess` - the ajaxAreasToProcess to set

### addRegionsFromComponent

    public void addRegionsFromComponent(javax.faces.component.UIComponent component)

  Add affected regions's ID to ajaxView component.

  Specified by:
    `addRegionsFromComponent` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `component` -

### addAreasToProcessFromComponent

    public void addAreasToProcessFromComponent(javax.faces.context.FacesContext context,
                                               javax.faces.component.UIComponent component)

  Add IDs of regions to process

  Specified by:
    `addAreasToProcessFromComponent` in class `org.ajax4jsf.context.AjaxContext`
  See Also:
    `org.ajax4jsf.context.AjaxContext#addAreasToProcessFromComponent(javax.faces.component.UIComponent)`

### addComponentToAjaxRender

    public void addComponentToAjaxRender(javax.faces.component.UIComponent component)

  Specified by:
    `addComponentToAjaxRender` in class `org.ajax4jsf.context.AjaxContext`

### addComponentToAjaxRender

    public void addComponentToAjaxRender(javax.faces.component.UIComponent base,
                                         java.lang.String id)

  Specified by:
    `addComponentToAjaxRender` in class `org.ajax4jsf.context.AjaxContext`

### getAjaxRenderedAreas

    public java.util.Set<java.lang.String> getAjaxRenderedAreas()

  Specified by:
    `getAjaxRenderedAreas` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    Returns the ajaxRenderedAreas.

### addRenderedArea

    public void addRenderedArea(java.lang.String id)

  Specified by:
    `addRenderedArea` in class `org.ajax4jsf.context.AjaxContext`

### removeRenderedArea

    public boolean removeRenderedArea(java.lang.String id)

  Specified by:
    `removeRenderedArea` in class `org.ajax4jsf.context.AjaxContext`

### getSubmittedRegionClientId

    public java.lang.String getSubmittedRegionClientId()

  Specified by:
    `getSubmittedRegionClientId` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    Returns the submittedClientId.

### setSubmittedRegionClientId

    public void setSubmittedRegionClientId(java.lang.String submittedClientId)

  Specified by:
    `setSubmittedRegionClientId` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `submittedClientId` - The submittedClientId to set.

### getAjaxSingleClientId

    public java.lang.String getAjaxSingleClientId()

  Specified by:
    `getAjaxSingleClientId` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the ajaxSingleClientId

### setAjaxSingleClientId

    public void setAjaxSingleClientId(java.lang.String ajaxSingleClientId)

  Specified by:
    `setAjaxSingleClientId` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `ajaxSingleClientId` - the ajaxSingleClientId to set

### isSelfRender

    public boolean isSelfRender()

  Specified by:
    `isSelfRender` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    Returns the selfRender.

### setSelfRender

    public void setSelfRender(boolean selfRender)

  Specified by:
    `setSelfRender` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `selfRender` - The selfRender to set.

### getViewIdHolder

    public org.ajax4jsf.context.ViewIdHolder getViewIdHolder()

  Specified by:
    `getViewIdHolder` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the vievIdHolder

### setViewIdHolder

    public void setViewIdHolder(org.ajax4jsf.context.ViewIdHolder viewIdHolder)

  Specified by:
    `setViewIdHolder` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `viewIdHolder` - the vievIdHolder to set

### getResponseData

    public java.lang.Object getResponseData()

  Specified by:
    `getResponseData` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the responseData

### setResponseData

    public void setResponseData(java.lang.Object responseData)

  Specified by:
    `setResponseData` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `responseData` - the responseData to set

### getResponseDataMap

    public java.util.Map<java.lang.String,java.lang.Object> getResponseDataMap()

  Specified by:
    `getResponseDataMap` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the responseDataMap

### getWriter

    protected java.io.PrintWriter getWriter(javax.faces.context.ExternalContext extContext)
                                     throws javax.faces.FacesException

  Gives back the writer of a Response object.

  Parameters:
    `extContext` - The external context.
  Returns:
    The writer of the response.
  Throws:
    `javax.faces.FacesException` - If the response object has no getWriter() method.

### getAjaxActionURL

    public java.lang.String getAjaxActionURL(javax.faces.context.FacesContext context)

  Specified by:
    `getAjaxActionURL` in class `org.ajax4jsf.context.AjaxContext`

### getCommonAjaxParameters

    public java.util.Map<java.lang.String,java.lang.Object> getCommonAjaxParameters()

  Specified by:
    `getCommonAjaxParameters` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the commonAjaxParameters

### getOncomplete

    public java.lang.Object getOncomplete()

  Specified by:
    `getOncomplete` in class `org.ajax4jsf.context.AjaxContext`
  Returns:
    the oncomplete

### setOncomplete

    public void setOncomplete(java.lang.Object oncomplete)

  Specified by:
    `setOncomplete` in class `org.ajax4jsf.context.AjaxContext`
  Parameters:
    `oncomplete` - the oncomplete to set

### appendOncomplete

    public void appendOncomplete(java.lang.Object onComplete)

  Specified by:
    `appendOncomplete` in class `org.ajax4jsf.context.AjaxContext`

### getOnbeforedomupdate

    public java.lang.Object getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `org.ajax4jsf.context.AjaxContext`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.Object onbeforedomupdateFunction)

  Specified by:
    `setOnbeforedomupdate` in class `org.ajax4jsf.context.AjaxContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.